#!/usr/bin/env bash

mkdir -p build
GOOS=windows GOARCH=amd64 go build -ldflags "-H=windowsgui -s -w" -o build/lychee-slicer-launcher-windows.exe
GOOS=linux GOARCH=amd64 go build -ldflags "-s -w" -o build/lychee-slicer-launcher-linux

gpg --output build/lychee-slicer-launcher-windows.exe.sig --detach-sig build/lychee-slicer-launcher-windows.exe
gpg --output build/lychee-slicer-launcher-linux.sig --detach-sig build/lychee-slicer-launcher-linux